version: '3.8'

services:
  app:
    build: .
    ports:
      - "3000:3000"
    env_file:
      - .env.docker.dev
    depends_on:
      - db
    volumes:
      - ./logs:/app/logs
      - ./cache:/app/.next
    user: "1001:1001"

  db:
    image: postgres:15
    env_file:
      - .env.docker.dev
    volumes:
      - postgres_data:/var/lib/postgresql/data
    ports:
      - "15432:5432"

volumes:
  postgres_data:
  cache:
